Author Topic: Google search problem  (Read 1334 times)

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Thank You
  • -Given: 432
  • -Receive: 90
  • Posts: 2508
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Google search problem
« Reply #15 on: January 26, 2020, 03:28:52 am »
Hi Neil

I'm sorry if I'm not completely following the discussion. Testing it a little bit more, it seems that is something related to the DNS and the SSL of your site.

If I connect directly with the IP address (without https) I can visit your website from Firefox 45.9. With https I'm not able to access your site (warning appears).
I have no idea why if I access https://www.blondeguy.com, the OS/2 browser don't even give it a try to load the page.

I'm not the one that made and installed the SSL certificate for OS2World server, so I'm not sure how this works.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Neil Waldhauer

  • Sr. Member
  • ****
  • Thank You
  • -Given: 8
  • -Receive: 38
  • Posts: 496
    • View Profile
    • Blonde Guy
Re: Google search problem
« Reply #16 on: January 26, 2020, 05:16:32 pm »
I have temporarily made it possible to connect using http:.

In the future, a 301 directive will forward an http: request to https:

I want Firefox 45 (and Chrome 49 and IE 8) to be able to connect, too. All other browsers listed in the report (in my prior posting on page 1) work fine on https: now.

The problem is in the configuration of ciphers on nginx. I don't think I have access to that, so I'll need to open a ticket with my upstream provider.
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 11
  • -Receive: 164
  • Posts: 2302
    • View Profile
Re: Google search problem
« Reply #17 on: January 26, 2020, 06:55:51 pm »
Be nice to know why FF31 can connect while later versions don't as well. Considering FF31 is running even an older NSS, it is unexpected that it works.

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 11
  • -Receive: 164
  • Posts: 2302
    • View Profile
Re: Google search problem
« Reply #18 on: January 26, 2020, 10:48:37 pm »
To load https://www.blondeguy.com/ in FF45.9, go to about:config search for security.tls.version and change security.tls.version.fallback-limit andsecurity.tls.version.max to 2 (default is 3). Possibly only version.max needs changing.
For SM, just go to Preferences-->Privacy & Security-->SSL/TLS and uncheck the TLS 1.2 box.
FF31 likely worked due to not supporting TLS1.2.

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 36
  • Posts: 884
    • View Profile
Re: Google search problem
« Reply #19 on: January 27, 2020, 03:17:57 am »
Hi Dave

The problem with unchecking the TLS 1.2 box is that other sites then do not load instead displaying the following:-

    An error occurred during a connection to theartofsound.net.

    Peer reports incompatible or unsupported protocol version.

    Error code: <a id="errorCode"
    title="SSL_ERROR_PROTOCOL_VERSION_ALERT">SSL_ERROR_PROTOCOL_VERSION_ALERT</a>


Regards

Pete

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 11
  • -Receive: 164
  • Posts: 2302
    • View Profile
Re: Google search problem
« Reply #20 on: January 27, 2020, 05:35:36 am »
I'm not surprised though I haven't come across that error yet.
What unchecking the box does tell us is that either Niel's site and/or our browser has a problem with TLS 1.2.
For now it is a workaround if someone wants to buy Suntan Special or such but as you hint at, the preference should be changed back for most sites. If only due to TLS 1.2 being more secure.